## plasma-widget-yawp 0.3.2

=== CMakeLists.txt ===
PROJECT(yawp)
cmake_minimum_required(VERSION 2.6)

#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)

#add definitions, compiler switches, etc.
ADD_DEFINITIONS(-Wall -O2)

## Find the required Libaries
##
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

find_package(KDE4Workspace QUIET)

## Need a better way to find cmake scripts at arb locations
if ( NOT ${KDE4Workspace_FOUND} )
  message("COULD NOT FIND KDE4Workspace TRYING /usr/lib64/cmake/KDE4Workspace-4.3.1")
  SET (KDE4Workspace_DIR /usr/lib64/cmake/KDE4Workspace-4.3.1)
  find_package(KDE4Workspace REQUIRED)
endif ( NOT ${KDE4Workspace_FOUND} )

if ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	find_package(Plasma REQUIRED)
else ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	set( PLASMA_LIBS ${KDE4_PLASMA_LIBS} )
endif ( ${KDE_VERSION} VERSION_LESS "4.1.90" )

if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( KDE4WORKSPACE_WEATHERION_LIBRARY weather_ion)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )

INCLUDE_DIRECTORIES(
	${QT_INCLUDES}
	${KDE4_INCLUDE_DIR}
	${KDE4_INCLUDES}
	${KDE4WORKSPACE_INCLUDE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9999 )

## enable or disable the src/logger/streamlogger.cpp log-system
## when disabling the logsystem, no debug output occurs
add_definitions( -DENABLE_DSTREAMLOGGER )
add_definitions( -DEXTENDED_DEBUG_OUTPUT )


##	DEFINE THE PACKAGE VERSION AND NAME
SET(MAJOR_VERSION 0)
SET(MINOR_VERSION 3)
SET(PATCH_VERSION 2)
SET(YAWP_NAME     "yaWP")

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
macro_display_feature_log()


### Define some variables we need in subdires applet and ions
STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_INSTALL_LIB_DIR "${PLUGIN_INSTALL_DIR}")
STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_SERVICES_DIR    "${SERVICES_INSTALL_DIR}")

add_subdirectory(applet)
add_subdirectory(ions)
add_subdirectory(po)
IF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
        add_subdirectory(unittest)
ENDIF( "${BUILD_UNITTESTS}" STREQUAL "YES" )


### Package Generator
##
IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
	INCLUDE(InstallRequiredSystemLibraries)

	SET(CPACK_GENERATOR "DEB;RPM;TBZ2;TGZ;STGZ")

	SET(CPACK_PACKAGE_DESCRIPTION		"Yet Another Weather Plasmoid that shows the current weather conditions and up to 4 days forecast depending on the choosen weather engine.")
	SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY	"Plasmoid that shows weather conditions.")
	SET(CPACK_PACKAGE_VENDOR		"PlasmaFactory")
	SET(CPACK_PACKAGE_CONTACT		"PlasmaFactory <plasmafactory@jcell.co.za>")
	SET(CPACK_RESOURCE_FILE_LICENSE		"${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
	SET(CPACK_PACKAGE_VERSION_MAJOR		"${MAJOR_VERSION}")
	SET(CPACK_PACKAGE_VERSION_MINOR		"${MINOR_VERSION}")
	SET(CPACK_PACKAGE_VERSION_PATCH		"${PATCH_VERSION}")
	SET(CPACK_PACKAGE_FILE_NAME		"${CMAKE_PROJECT_NAME}-${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
	SET(CPACK_SOURCE_PACKAGE_FILE_NAME	"${CMAKE_PROJECT_NAME}-${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

	SET(CPACK_DEBIAN_PACKAGE_DEPENDS	"kdebase-runtime (>= 4:4.1.96), kdebase-workspace-libs4+5, kdelibs5 (>= 4:4.1.96), libqt4-network (>= 4.4.3), libqt4-svg (>= 4.4.3), libqt4-xml (>= 4.4.3), libqtcore4 (>= 4.4.3), libqtgui4 (>= 4.4.3), libstdc++6 (>= 4.1.1), kdebase-workspace-bin")
	SET(CPACK_DEBIAN_PACKAGE_SECTION	"kde/plasmoid")

	# List executables
	SET(CPACK_STRIP_FILES "lib//plasma_yawp.so;lib//ion_accuweather.so;lib//ion_google.so")
	SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
	INCLUDE(CPack)

ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

=== applet/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	)

set(yawp_SRCS
	configdialog/yawpconfig.cpp
	configdialog/dlgaddcity.cpp
	../logger/streamlogger.cpp

	countrymap.cpp
	ionlistmodel.cpp
	pageanimator.cpp
	panellayout.cpp
	statemachine.cpp
	utils.cpp
	weatherdataprocessor.cpp
	weatherservice.cpp
	yawp.cpp
	yawpday.cpp
	)

kde4_add_ui_files(yawp_SRCS
	ui/yawplocationspage.ui
	ui/yawpsettingspage.ui
	ui/yawppanelpage.ui
	ui/yawpthemepage.ui
	ui/dlgaddcity.ui
	)

set(plasma_include_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_SOLID_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)

## Add Qt4 resource to binary
set(YAWP_RCCS yawpresource.qrc )
qt4_add_resources(YAWP_RCCS_SRCS	${YAWP_RCCS})

kde4_add_plugin(plasma_yawp		${yawp_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(plasma_yawp	${plasma_include_libs})

install(TARGETS        plasma_yawp
        DESTINATION    ${PLUGIN_INSTALL_DIR}
        )
install(FILES           plasma_yawp.desktop
        DESTINATION     ${SERVICES_INSTALL_DIR}
        PERMISSIONS     OWNER_READ GROUP_READ WORLD_READ)
install(FILES           yawp_theme15.svg
        DESTINATION     ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
        )


## This is needed for the CPack package generator.
#
INSTALL(TARGETS plasma_yawp
        LIBRARY DESTINATION   "${YAWP_PACK_INSTALL_LIB_DIR}"
        ARCHIVE DESTINATION   "${YAWP_PACK_INSTALL_LIB_DIR}"
        RUNTIME DESTINATION   "${YAWP_PACK_INSTALL_LIB_DIR}"
        COMPONENT Libraries
        )

INSTALL(FILES         plasma_yawp.desktop
        DESTINATION   "${YAWP_PACK_SERVICES_DIR}"
        COMPONENT     ApplicationData
        )

STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_DATA_DIR "${DATA_INSTALL_DIR}/desktoptheme/default/widgets/")
INSTALL(FILES         yawp_theme15.svg
        DESTINATION   "${YAWP_PACK_DATA_DIR}"
        COMPONENT     ApplicationData
        )

=== ions/CMakeLists.txt ===
if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP kde43/ion-accuweather.desktop)
	set( GOOGLE_DESKTOP kde43/ion-google.desktop)
else ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP ion-accuweather.desktop)
	set( GOOGLE_DESKTOP ion-google.desktop)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )


set(weather_ion_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)


set( ion_accuweather_SRCS
	ion_accuweather.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       ( ion_accuweather            ${ion_accuweather_SRCS})
target_link_libraries ( ion_accuweather            ${weather_ion_libs})
install(  TARGETS       ion_accuweather            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES         ${ACCUWEATHER_DESKTOP}    DESTINATION    ${SERVICES_INSTALL_DIR})


set( ion_google_SRCS
	ion_google.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       ( ion_google            ${ion_google_SRCS})
target_link_libraries ( ion_google            ${weather_ion_libs})
install(  TARGETS       ion_google            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES         ${GOOGLE_DESKTOP}     DESTINATION    ${SERVICES_INSTALL_DIR})


## This is needed for the CPack package generator.
#
INSTALL(TARGETS       ion_accuweather ion_google
	LIBRARY       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	ARCHIVE       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	RUNTIME       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	COMPONENT     Libraries
	)

INSTALL(FILES         ${ACCUWEATHER_DESKTOP} ${GOOGLE_DESKTOP}
	DESTINATION   "${YAWP_PACK_SERVICES_DIR}"
	COMPONENT     ApplicationData
	)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)
SET(_gmoPackFiles)

STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_LOCALE_DIR   "${LOCALE_INSTALL_DIR}")

FOREACH(_current_PO_FILE ${_po_files})
	GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
	SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
	add_custom_command(OUTPUT              ${_gmoFile}
	                   COMMAND             ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
	                   WORKING_DIRECTORY   "${CMAKE_CURRENT_SOURCE_DIR}"
	                   DEPENDS             ${_current_PO_FILE}
	                   )
	
	INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo
	        DESTINATION   ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/
	        RENAME        plasma_applet_yawp.mo
	        )

	INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo
		DESTINATION   "${YAWP_PACK_LOCALE_DIR}/${_lang}/LC_MESSAGES/"
		RENAME        plasma_applet_${CMAKE_PROJECT_NAME}.mo
		COMPONENT     ApplicationData
		)

	LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== unittest/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}/../applet/
	${CMAKE_CURRENT_SOURCE_DIR}/../ions/
	)

set(unittests_include_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_SOLID_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	)

## Add Qt4 resource to binary
set(YAWP_RCCS ../applet/yawpresource.qrc )
qt4_add_resources(YAWP_RCCS_SRCS	${YAWP_RCCS})


#### Streamlogger Test ####
set(streamloggertest_SRCS
	streamloggertest.cpp
	../logger/streamlogger.cpp
	)

kde4_add_executable(streamloggertest		${streamloggertest_SRCS})
target_link_libraries(streamloggertest		${unittests_include_libs})


#### WeatherService Test ####
set(weatherservicetest_SRCS
	weatherservicetest.cpp
	../applet/countrymap.cpp
	../applet/weatherdataprocessor.cpp
	../applet/weatherservice.cpp
	../applet/yawpday.cpp
	../applet/utils.cpp
	../logger/streamlogger.cpp
	)

kde4_add_executable(weatherservicetest		${weatherservicetest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(weatherservicetest	${unittests_include_libs})


#### ConfigDialog Test ####
set( configtest_SRCS
	configtest.cpp
	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/utils.cpp
	../applet/yawpday.cpp
	../logger/streamlogger.cpp
	../applet/weatherdataprocessor.cpp
#	../applet/weatherservice.cpp
#	../applet/configdialog/dlgaddcity.cpp
#	../applet/configdialog/yawpconfig.cpp
	../applet/configdialog/dlgaddcity.cpp
	)

kde4_add_ui_files( configtest_SRCS
#	../applet/ui/yawplocationspage.ui
#	../applet/ui/yawpsettingspage.ui
#	../applet/ui/yawppanelpage.ui
#	../applet/ui/yawpthemepage.ui

	../applet/ui/dlgaddcity.ui
	)

kde4_add_executable(configtest			${configtest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(configtest		${unittests_include_libs})


#### ION WeatherEngine Test ####
set( weatherenginetest_SRCS
	weatherenginetest.cpp
	../applet/countrymap.cpp
	../applet/utils.cpp
	../applet/yawpday.cpp
	../logger/streamlogger.cpp
	)

kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS})
target_link_libraries(weatherenginetest		${unittests_include_libs})


#### ION Test ####
set( iontest_SRCS
	iontest.cpp
	../ions/ion_accuweather.cpp
#	../ions/ion_google.cpp
	../logger/streamlogger.cpp
	)

kde4_add_executable(iontest		${iontest_SRCS})
target_link_libraries(iontest		${unittests_include_libs})


#### PLASMOID Test ####
set( plasmoidtest_SRCS
	plasmoidtest_main.cpp
	plasmoidtest_fullview.cpp
	../logger/streamlogger.cpp
	../applet/configdialog/yawpconfig.cpp
	../applet/configdialog/dlgaddcity.cpp

	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/pageanimator.cpp
	../applet/panellayout.cpp
	../applet/statemachine.cpp
	../applet/utils.cpp
	../applet/weatherdataprocessor.cpp
	../applet/weatherservice.cpp
	../applet/yawp.cpp
	../applet/yawpday.cpp
	)

kde4_add_ui_files(plasmoidtest_SRCS
	../applet/ui/yawplocationspage.ui
	../applet/ui/yawpsettingspage.ui
	../applet/ui/yawppanelpage.ui
	../applet/ui/yawpthemepage.ui
	../applet/ui/dlgaddcity.ui
	)

kde4_add_executable(plasmoidtest		${plasmoidtest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(plasmoidtest		${unittests_include_libs})

=== debian/changelog ===
plasma-widget-yawp (0.3.2-3) unstable; urgency=low

  The „Shattering Pulse“ release.

  * debian/control:
    - Added „Enhances: plasma-widgets-addons“ to plasma-dataengines-yawp.
    - Bumped Standards-Version to 3.8.4, no further changes needed.
    - Improved the long description of plasma-widget-yawp (Closes: #568012).
  * debian/patches/fix_possible_memleak.patch: Added.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 17 Feb 2010 19:43:52 +0100

plasma-widget-yawp (0.3.2-2) unstable; urgency=low

  The „Smother“ release.

  * debian/patches:
    - Rename „top_CMakeLists.txt_remove-CPack.patch“ to
      „remove_CPack_invocations.patch“.
    - remove_CPack_invocations.patch:
      + Removed CPack invocation from „ions/CMakeLists.txt“.
  * debian/rules: Pass a set of useful configuration options to CMake (as we
    don't use the install.sh script, we'll pass them directly to CMake).
  * debian/patches:
    - fix_gcc45_ftbfs.patch:
      + Added.
      + Allow yaWP to be built with stricter gcc/g++ 4.5 (not released yet).
    - add_upstream_changelog.patch:
      + Added, as none is shipped with the tarball.
  * debian/control:
    - Improved long description of plasma-widget-yawp.
    - Added „Suggests: plasma-dataengines-workspace“, because that package
      ships three more weather Ions (BBC/UK-MET, NOAA and the Canadian weather
      office).
    - Added new binary package „plasma-dataengines-yawp“ for the Ions shipped
      with yaWP. The split was done to allow other weather applets in Debian
      to use yaWP's data engines without the need to pull in the entirety of
      yaWP.
    - Added an „Replaces“ to plasma-dataengines-yawp for the previous version
      of plasma-widget-yawp to allow the overwriting of the moved files.
  * debian/plasma-{widget,dataengines}-yawp.install:
    - Added.
    - Split up the files between the two binary packages.

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 19 Jan 2010 16:31:20 +0100

plasma-widget-yawp (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #529815)
  * debian/control:
    - Added pkg-kde-tools to Build-Depends.
    - Declared explicit Build-Depends on gettext.
    - Tighten Build-Depends on kdelibs5-dev: enforce version >=4:4.2.0
    - Added Vcs-Svn field.
    - Changed priority to »optional« (all other widgets are optional too).
    - Standards-Version is 3.8.3.
  * debian/patches:
    - top_CMakeLists.txt_remove-CPack.patch:
      + Added.
      + Remove CPack invocation, we use Debian's tools for building the
        package.
    - rename_to_debian_naming_scheme.patch:
      + Added.
      + In Debian Plasmoids are named „plasma_applet_<name of Plasmoid>“.
    - fix_desktop_file.patch:
      + Added.
      + Corrected the given version (0.3.2 instead of 0.3.0).
  * debian/source/format: Added with „3.0 (quilt)“ as its content.

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 12 Jan 2010 17:51:54 +0100

=== debian/control ===
Source: plasma-widget-yawp
Section: kde
Priority: optional
Maintainer: Kai Wasserbäch <debian@carbon-project.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
 pkg-kde-tools, kdebase-workspace-dev
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/yawp
Vcs-Svn: svn://svn.carbon-project.org/deb-pkg/plasma-widget-yawp/trunk

Package: plasma-widget-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-yawp
Suggests: plasma-dataengines-workspace
Description: Yet Another Weather Plasmoid fetches weather forecasts for you
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the Plasmoid itself and the basic theme for yaWP.
 .
 yaWP can be considered to be the native KDE 4.x replacement for the
 SuperKaramba script "LiquidWeather++".

Package: plasma-dataengines-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-widget-yawp (<= 0.3.2-1)
Enhances: plasma-widgets-addons
Description: yaWP's data engines (Ions) for using different weather services
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the data engines, which are part of yaWP. At the moment
 these are Ions for the following services:
    * AccuWeather
    * Google Weather Service

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

override_dh_auto_configure:
	        dh_auto_configure -Skde -- -DBUILD_UNITTESTS=NO \
					-DDEBUG_LOGFILE=/tmp/plasma-widget-yawp.log \
					-DDEBUG_LOGLEVEL=Warning -DCMAKE_BUILD_TYPE=Release \
					-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

%:
	dh --with kde $@

## plasma-widget-yawp 0.3.4

=== CMakeLists.txt ===
PROJECT(plasma-applet-yawp)
cmake_minimum_required(VERSION 2.6)

#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)

#add definitions, compiler switches, etc.
#ADD_DEFINITIONS(-Wall -O2)

#  CMAKE_BUILD_TYPE:
#  A variable which controls the type of build when using a single-configuration generator like the Makefile generator.
#  CMake will create by default the following variables when using a single-configuration generator:
#
#    * None (CMAKE_C_FLAGS or CMAKE_CXX_FLAGS used)
#    * Debug (CMAKE_C_FLAGS_DEBUG or CMAKE_CXX_FLAGS_DEBUG)
#    * Release (CMAKE_C_FLAGS_RELEASE or CMAKE_CXX_FLAGS_RELEASE)
#    * RelWithDebInfo (CMAKE_C_FLAGS_RELWITHDEBINFO or CMAKE_CXX_FLAGS_RELWITHDEBINFO
#    * MinSizeRel (CMAKE_C_FLAGS_MINSIZEREL or CMAKE_CXX_FLAGS_MINSIZEREL) 


## Find the required Libaries
##
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

find_package(KDE4Workspace QUIET)

## Need a better way to find cmake scripts at arb locations
if ( NOT ${KDE4Workspace_FOUND} )
  message(STATUS "COULD NOT FIND KDE4Workspace TRYING /usr/lib64/cmake/KDE4Workspace-4.3.1")
  SET (KDE4Workspace_DIR /usr/lib64/cmake/KDE4Workspace-4.3.1)
  find_package(KDE4Workspace REQUIRED)
endif ( NOT ${KDE4Workspace_FOUND} )

if ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	find_package(Plasma REQUIRED)
else ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	set( PLASMA_LIBS ${KDE4_PLASMA_LIBS} )
endif ( ${KDE_VERSION} VERSION_LESS "4.1.90" )

if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( KDE4WORKSPACE_WEATHERION_LIBRARY weather_ion)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )

INCLUDE_DIRECTORIES(
	${QT_INCLUDES}
	${KDE4_INCLUDE_DIR}
	${KDE4_INCLUDES}
	${KDE4WORKSPACE_INCLUDE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9999 )

## enable or disable the src/logger/streamlogger.cpp log-system
## when disabling the logsystem, no debug output occurs
IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
  add_definitions( -DENABLE_DSTREAMLOGGER )
ELSEIF( "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
  add_definitions( -DENABLE_DSTREAMLOGGER )
ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )

IF( NOT DEBUG_LOGLEVEL )
	SET(DEBUG_LOGLEVEL "Debug")
ENDIF( NOT DEBUG_LOGLEVEL )


# Choose the type of build.  Example: SET(CMAKE_BUILD_TYPE Debug) 
MESSAGE( STATUS "CMAKE_BUILD_TYPE: " ${CMAKE_BUILD_TYPE} )

# the compiler flags for compiling C sources 
MESSAGE( STATUS "CMAKE_C_FLAGS: " ${CMAKE_C_FLAGS} )

# If set, runtime paths are not added when using shared libraries. Default it is set to OFF
MESSAGE( STATUS "CMAKE_SKIP_RPATH: " ${CMAKE_SKIP_RPATH} )
MESSAGE( STATUS "DEBUG_LOGLEVEL: " ${DEBUG_LOGLEVEL} )
MESSAGE( STATUS "DEBUG_LOGFILE: " ${DEBUG_LOGFILE} )

############################################################
##
##    YAWP specific settings
##

##	DEFINE THE PACKAGE VERSION AND NAME
SET(MAJOR_VERSION 0)
SET(MINOR_VERSION 3)
SET(PATCH_VERSION 4)
SET(YAWP_NAME     "yaWP")

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(logger/streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
macro_display_feature_log()

### Define some variables we need in subdires applet and ions
STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_INSTALL_LIB_DIR "${PLUGIN_INSTALL_DIR}")
STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_SERVICES_DIR    "${SERVICES_INSTALL_DIR}")

add_subdirectory(applet)
add_subdirectory(ions)
add_subdirectory(po)
IF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
	## This will create a static lib. We can link a program against a static
	## but we can not link a plugin against a static lib. At least i don not know how to do it,
	## So, if you know how to do it, please let me know.
	add_subdirectory(logger)
	add_subdirectory(unittest)
ENDIF( "${BUILD_UNITTESTS}" STREQUAL "YES" )

############################################################
##
##    Package Generator
##
IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
  MESSAGE(STATUS "CMakeRoot: ${CMAKE_ROOT}/Modules/CPack.cmake")
  INCLUDE(InstallRequiredSystemLibraries)

  SET(CPACK_SET_DESTDIR "on")
  SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
  SET(CPACK_GENERATOR "DEB;RPM;STGZ;TBZ2;TGZ;TZ;ZIP;SOURCE_TGZ;SOURCE_TZ;SOURCE_ZIP;")
  SET(CPACK_SOURCE_IGNORE_FILES 
      "/build/"
      "/.svn/"
      ".kdev4$"
      "~$"
      )

  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY	"Yet Another Weather Plasmoid")

  SET(CPACK_PACKAGE_VENDOR		"Plasma Factory")
  SET(CPACK_PACKAGE_CONTACT		"Plasma Factory <plasmafactory@jcell.co.za>, Ruan Strydom <ruans@kr8.co.za>, Ulf Kreißig <udev@gmx.net>, Marián Kyral <mkyral@email.cz>, Ezequiel R. Aguerre <ezeaguerre@gmail.com>, Pierpaolo Vittorini  <pierpaolo.vittorini@gmail.com>")
#	SET(CPACK_RESOURCE_FILE_LICENSE		${CMAKE_CURRENT_SOURCE_DIR}//COPYING)
  SET(CPACK_PACKAGE_VERSION_MAJOR	${MAJOR_VERSION})
  SET(CPACK_PACKAGE_VERSION_MINOR	${MINOR_VERSION})	# to create a debian confirm file-version-string
  STRING(REGEX REPLACE "_" "-" CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
  SET(CPACK_PACKAGE_FILE_NAME		${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CMAKE_SYSTEM_PROCESSOR})
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_source)

  ##	LIST EXECUTABLES
  SET(CPACK_STRIP_FILES "lib//plasma_yawp.so;lib//ion_accuweather.so;lib//ion_google.so")
  SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)

  ##	DEBIAN SPECIFIC SETTINGS
  ##
  SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION	"A weather display plasma widget for KDE 4\n Yet Another Weather Plasmoid that shows the current weather conditions\n and up to 4 days forecast depending on the chosen weather engine (ion).\n This package also contains two ions (google and accuweather).")
  SET(CPACK_DEBIAN_PACKAGE_PRIORITY	"optional")
  SET(CPACK_DEBIAN_PACKAGE_SECTION	"kde")
  SET(CPACK_DEBIAN_PACKAGE_DEPENDS	"kdebase-runtime (>= 4:4.2.1), kdelibs5 (>= 4:4.2.1), libc6 (>= 2.1.3), libgcc1 (>= 1:4.1.1), libplasma3, libqt4-dbus (>= 4.5.0~+rc1), libqt4-network (>= 4.5.0~+rc1), libqt4-svg (>= 4.5.0~+rc1), libqt4-xml (>= 4.5.0~+rc1), libqtcore4 (>= 4.5.0~+rc1), libqtgui4 (>= 4.5.0~+rc1), libstdc++6 (>= 4.2.1)")

  FIND_PROGRAM(DPKG_CMD dpkg)
  IF(DPKG_CMD)
    EXECUTE_PROCESS(COMMAND "${DPKG_CMD}" --print-architecture
      OUTPUT_VARIABLE CPACK_DEBIAN_PACKAGE_ARCHITECTURE
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    SET(CPACK_DEBIAN_PACKAGE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE})
  ENDIF(DPKG_CMD)

  ##	RPM SPECIFIC SETTINGS
  ##

  INCLUDE(CPack)
ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")


## On debian systems we install or add the following files to the package
## /usr/share/doc/plasma-applet-yawp
##   copyright
##   README.gz
##   changelog.Debian.gz
##   TODO
IF(EXISTS "/etc/debian_version")
  MESSAGE(STATUS "Debian System detected...")
  IF(NOT EXISTS "/bin/gzip")
    MESSAGE(FATAL_ERROR "Program gzip is missing on your system.")
  ENDIF(NOT EXISTS "/bin/gzip")

  ADD_CUSTOM_TARGET(debian_package
                    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                            ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz)

  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                     COMMAND /bin/cp ARGS ${CMAKE_CURRENT_SOURCE_DIR}/README ${CMAKE_CURRENT_BINARY_DIR}/README
                     COMMAND /bin/gzip ARGS -9 ${CMAKE_CURRENT_BINARY_DIR}/README
                     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/README)

  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz
                     COMMAND /bin/cp ARGS ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian
                     COMMAND /bin/gzip ARGS -9 ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian
                     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG)

  INSTALL(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT
          DESTINATION   /usr/share/doc/${CMAKE_PROJECT_NAME}
          RENAME        copyright
          COMPONENT     ApplicationData
         )
  INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                        ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz
                        TODO
          DESTINATION   /usr/share/doc/${CMAKE_PROJECT_NAME}
          COMPONENT     ApplicationData
         )

  ## this might be dirty, but the target debian_package needs to be called in order to create some files for a debian package
  ## and this was the only idea i had...
  ## if anybody has a better idea, how to generate and add the files in /usr/share/doc/plasma-widget-yawp/
  ## to the debian package, please let me know
  ADD_DEPENDENCIES(plasma_applet_yawp debian_package)
ENDIF(EXISTS "/etc/debian_version")

=== ions/CMakeLists.txt ===
if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP kde43/ion-accuweather.desktop)
	set( GOOGLE_DESKTOP kde43/ion-google.desktop)
	set( WUNDERGROUND_DESKTOP kde43/ion-wunderground.desktop)
else ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP ion-accuweather.desktop)
	set( GOOGLE_DESKTOP ion-google.desktop)
	set( WUNDERGROUND_DESKTOP ion-wunderground.desktop)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_BINARY_DIR}/..
	)

set(weather_ion_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)


set(ion_accuweather_SRCS
	ion_accuweather.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_accuweather           ${ion_accuweather_SRCS})
target_link_libraries (ion_accuweather           ${weather_ion_libs})
install(  TARGETS      ion_accuweather           DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${ACCUWEATHER_DESKTOP}    DESTINATION    ${SERVICES_INSTALL_DIR})


set(ion_google_SRCS
	ion_google.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_google            ${ion_google_SRCS})
target_link_libraries (ion_google            ${weather_ion_libs})
install(  TARGETS      ion_google            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${GOOGLE_DESKTOP}     DESTINATION    ${SERVICES_INSTALL_DIR})


set(ion_wunderground_SRCS
	ion_wunderground.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_wunderground            ${ion_wunderground_SRCS})
target_link_libraries (ion_wunderground            ${weather_ion_libs})
install(  TARGETS      ion_wunderground            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${WUNDERGROUND_DESKTOP}     DESTINATION    ${SERVICES_INSTALL_DIR})


## This is needed for the CPack package generator.
#
INSTALL(TARGETS       ion_accuweather ion_google ion_wunderground
	LIBRARY       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	ARCHIVE       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	RUNTIME       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	COMPONENT     Libraries
	)

INSTALL(FILES     ${ACCUWEATHER_DESKTOP} ${GOOGLE_DESKTOP} ${WUNDERGROUND_DESKTOP}
	DESTINATION   "${YAWP_PACK_SERVICES_DIR}"
	COMPONENT     Libraries
	)

=== debian/changelog ===
plasma-widget-yawp (0.3.4-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_4.5_compile.diff to fix preprocessor directives so that
    yawp will compile with KDE 4.5

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Sep 2010 09:41:45 -0400

plasma-widget-yawp (0.3.4-1) unstable; urgency=low

  The "Mana Leak" release.

  * New upstream release, including:
    - Translation updates for several languages.
    - Fixes problems with some Ions when using the Russian locale.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 10 Jul 2010 22:57:02 +0200

plasma-widget-yawp (0.3.3-2) unstable; urgency=low

  The "Azure Drake" release.

  * debian/control:
    - Added Suggests on plasma-widget-yawp in the plasma-dataengines-yawp
      entry.
    - Bumped Build-Depends on:
      + debhelper to >= 7.3.16~ to ensure we've got sequence support.
      + pkg-kde-tools to >= 0.9 to ensure "3.0 (quilt)" support.
    - Bumped Standards-Version to 3.9.0.
      + debian/copyright: Updated to correspond to section 12.5.
      + debian/control: Added Breaks to plasma-dataengines-yawp entry to
        correspond with sections 7.3, 7.6.1.
  * debian/*.install: Remove the "debian/tmp/" prefix, not needed, since dh
    defaults to look into debian/tmp with compat level seven or higher.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 21:41:37 +0200

plasma-widget-yawp (0.3.3-1) unstable; urgency=low

  The "Traumatic Visions" release.

  * New upstream release.
  * debian/rules: Added override for dh_strip to "install" the debugging
    symbols into the new plasma-widgets-yawp-dbg package.
  * debian/control: Added new debugging symbols package.
  * debian/patches/remove_CPack_invocations.patch: Refreshed.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 13 Jun 2010 19:33:19 +0200

plasma-widget-yawp (0.3.3~svn376-1) unstable; urgency=low

  The "Royal Decree" release.

  * Synced to upstream SVN revision 376:
    - This should fix a crash which could occur while adding a new city.
    - Updates all l10n strings and adds a new translation.
  * debian/patches:
    - Removed patches, which were merged upstream:
      + add_upstream_changelog.patch
      + cherry_pick_wunderground_ion.patch
      + correct_spelling.patch
      + fix_desktop_file.patch
      + fix_gcc45_FTBFS_countrymap.patch
      + fix_gcc45_FTBFS_streamlogger.patch
      + fix_gcc45_ftbfs.patch
      + remove_unneeded_includes.patch
      + rename_to_debian_naming_scheme.patch
    - remove_CPack_invocations.patch: Updated.
  * debian/plasma-widget-yawp.install: Updated.
  * debian/rules: Added override for dh_installchangelogs, so it installs the
    new upstream changelog file.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 19 May 2010 11:46:48 +0000

plasma-widget-yawp (0.3.2-4) unstable; urgency=low

  The „Kalastria Highborn“ release.

  * debian/patches:
    - fix_possible_memleak.patch: Dropped again, should be cleaned out by Qt's
      garbage collector. Thanks to Ulf for reminding me of that.
    - fix_gcc45_ftbfs.patch, add_upstream_changelog.patch: Updated header.
    - cherry_pick_wunderground_ion.patch: Added, until 0.3.3 gets released.
    - fix_gcc45_FTBFS_{streamlogger,countrymap}.patch: Added (allows building
      with stricter gcc/g++ 4.5).
    - correct_spelling.patch: Added (minor spelling fix).
    - remove_unneeded_includes.patch: Added ((incomplete) code clean-ups).
  * debian/control:
    - DM-Upload-Allowed set to yes.
    - Add ${binary:Version} to dependency on plasma-dataengines-yawp.
    - Improve short description of plasma-dataengines-yawp.
    - Change Vcs-* information (now maintained with Git).
  * debian/rules: Enable parallel building.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 17 May 2010 12:01:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: kde
 Priority: optional
 Maintainer: Kai Wasserbäch <debian@carbon-project.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
- pkg-kde-tools, kdebase-workspace-dev
-Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
+ pkg-kde-tools (>= 0.9), kdebase-workspace-dev
+Standards-Version: 3.9.0
 Homepage: http://sourceforge.net/projects/yawp
-Vcs-Svn: svn://svn.carbon-project.org/deb-pkg/plasma-widget-yawp/trunk
+Vcs-Git: git://git.carbon-project.org/plasma-widget-yawp.git
+Vcs-Browser: http://gitweb.carbon-project.org/?p=plasma-widget-yawp.git;a=summary
 
 Package: plasma-widget-yawp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-yawp
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+ plasma-dataengines-yawp (= ${binary:Version})
 Suggests: plasma-dataengines-workspace
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
@@ -27,8 +30,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: plasma-widget-yawp (<= 0.3.2-1)
+Breaks: plasma-widget-yawp (<= 0.3.2-1)
 Enhances: plasma-widgets-addons
-Description: yaWP's data engines (Ions) for using different weather services
+Suggests: plasma-widget-yawp
+Description: yaWP's data engines (Ions) for different weather services
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several
  days in advance, to display the current satellite image and it is also
@@ -38,3 +43,18 @@
  these are Ions for the following services:
     * AccuWeather
     * Google Weather Service
+    * Weather Underground (Wunderground)
+
+Package: plasma-widget-yawp-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: plasma-widget-yawp (= ${binary:Version}), 
+ plasma-dataengines-yawp (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for yaWP and its Ions
+ yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
+ works with different weather sources, you can configure it to show several
+ days in advance, to display the current satellite image and it is also
+ possible to keep track of multiple cities.
+ .
+ This package contains the debugging symbols for yaWP and its Ions.

## plasma-widget-yawp 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 3)
-SET(PATCH_VERSION 4)
+SET(PATCH_VERSION 5)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== applet/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_BINARY_DIR}/..
	)

set(yawp_SRCS
	configdialog/yawpconfig.cpp
	configdialog/dlgaddcity.cpp
	configdialog/dlgtimezone.cpp
	../logger/streamlogger.cpp
	countrymap.cpp
	ionlistmodel.cpp
	pageanimator.cpp
	panellayout.cpp
	statemachine.cpp
	utils.cpp
	weatherdataprocessor.cpp
	weatherservice.cpp
	yawp.cpp
	yawpday.cpp
	yawpdefines.cpp
	)

kde4_add_ui_files(yawp_SRCS
	ui/yawplocationspage.ui
	ui/yawpsettingspage.ui
	ui/yawppanelpage.ui
	ui/yawpthemepage.ui
	ui/dlgaddcity.ui
	ui/dlgtimezone.ui
	)

set(plasma_include_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_SOLID_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)

## Add Qt4 resource to binary
set(YAWP_RCCS yawpresource.qrc )
qt4_add_resources(YAWP_RCCS_SRCS	${YAWP_RCCS})

kde4_add_plugin(plasma_applet_yawp		${yawp_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(plasma_applet_yawp	${plasma_include_libs})

configure_file(plasma-applet-yawp.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop)

install(TARGETS        plasma_applet_yawp
        DESTINATION    ${PLUGIN_INSTALL_DIR}
        )
install(FILES           ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop
        DESTINATION     ${SERVICES_INSTALL_DIR}
        PERMISSIONS     OWNER_READ GROUP_READ WORLD_READ)
install(FILES           yawp_theme15.svg
        DESTINATION     ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
        )


## This is needed for the CPack package generator.
#
INSTALL(TARGETS               plasma_applet_yawp
        LIBRARY DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        ARCHIVE DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        RUNTIME DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        COMPONENT Libraries
        )

INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop
        DESTINATION   ${YAWP_PACK_SERVICES_DIR}
        COMPONENT     Libraries
        )

INSTALL(FILES         yawp_theme15.svg
        DESTINATION   ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
        COMPONENT     ApplicationData
        )

=== debian/changelog ===
plasma-widget-yawp (0.3.5-1) unstable; urgency=low

  The "Elite Vanguard" release.

  * New upstream release, including:
    - Fix of a potential legal issue, and
    - several data-handling issues (e.g. pressure and sunset/-rise).
  * debian/rules:
    - Removed override_dh_strip and added --dbg-package to general dh
      invocation.
    - Made (almost all) overrides --parallel aware.
  * debian/source/options: Ensure BZip2 compression.
  * debian/control: Bumped Standards-Version to 3.9.1, no further changes
    needed.
  * debian/copyright: Added Shawn Starr as another upstream author (for Ions).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 12 Nov 2010 23:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
  pkg-kde-tools (>= 0.9), kdebase-workspace-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/yawp
 Vcs-Git: git://git.carbon-project.org/plasma-widget-yawp.git
 Vcs-Browser: http://gitweb.carbon-project.org/?p=plasma-widget-yawp.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,11 @@
 					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"
 
+override_dh_installchangelogs:
+	dh_installchangelogs --parallel CHANGELOG
+
+override_dh_install:
+	dh_install --parallel --list-missing
+
 %:
-	dh --with kde $@
+	dh --parallel --dbg-package=plasma-widget-yawp-dbg --with kde $@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/yawp/yawp-([\d.]+)\.tar\.bz2

## plasma-widget-yawp 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 3)
-SET(PATCH_VERSION 5)
+SET(PATCH_VERSION 6)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== ions/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	${KDE4_KUNITCONVERSION_LIBS}
 	)
 
+#message(STATUS "WeatherIonLibrary: " ${KDE4WORKSPACE_WEATHERION_LIBRARY})
 
 set(ion_accuweather_SRCS
 	ion_accuweather.cpp

=== logger/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	)

set(streamlogger_libs
	${QT_QTCORE_LIBRARY}
	)

configure_file(streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
add_library(streamlogger STATIC streamlogger.cpp)
target_link_libraries(streamlogger ${streamlogger_libs})

=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 include_directories(
-	${CMAKE_CURRENT_SOURCE_DIR}/..
+#	${CMAKE_CURRENT_SOURCE_DIR}/..
 	${CMAKE_CURRENT_SOURCE_DIR}/../applet/
 	${CMAKE_CURRENT_SOURCE_DIR}/../ions/
+	${CMAKE_CURRENT_BINARY_DIR}/../
 	)
 
 set(unittests_include_libs
@@ -11,6 +12,8 @@
 	${KDE4_SOLID_LIBS}
 	${PLASMA_LIBS}
 	${KDE4WORKSPACE_WEATHERION_LIBRARY}
+	${KDE4_KUNITCONVERSION_LIBS}
+	streamlogger
 	)
 
 ## Add Qt4 resource to binary
@@ -21,7 +24,6 @@
 #### Streamlogger Test ####
 set(streamloggertest_SRCS
 	streamloggertest.cpp
-	../logger/streamlogger.cpp
 	)
 
 kde4_add_executable(streamloggertest		${streamloggertest_SRCS})
@@ -31,12 +33,19 @@
 #### WeatherService Test ####
 set(weatherservicetest_SRCS
 	weatherservicetest.cpp
+	../applet/configdialog/dlgtimezone.cpp
 	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
 	../applet/weatherdataprocessor.cpp
 	../applet/weatherservice.cpp
 	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	../applet/utils.cpp
-	../logger/streamlogger.cpp
+	)
+
+kde4_add_ui_files( weatherservicetest_SRCS
+	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(weatherservicetest		${weatherservicetest_SRCS} ${YAWP_RCCS_SRCS})
@@ -50,12 +59,13 @@
 	../applet/ionlistmodel.cpp
 	../applet/utils.cpp
 	../applet/yawpday.cpp
-	../logger/streamlogger.cpp
-	../applet/weatherdataprocessor.cpp
+	../applet/yawpdefines.cpp
+#	../applet/weatherdataprocessor.cpp
 #	../applet/weatherservice.cpp
 #	../applet/configdialog/dlgaddcity.cpp
 #	../applet/configdialog/yawpconfig.cpp
 	../applet/configdialog/dlgaddcity.cpp
+	../applet/configdialog/dlgtimezone.cpp
 	)
 
 kde4_add_ui_files( configtest_SRCS
@@ -65,6 +75,7 @@
 #	../applet/ui/yawpthemepage.ui
 
 	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(configtest			${configtest_SRCS} ${YAWP_RCCS_SRCS})
@@ -75,34 +86,39 @@
 set( weatherenginetest_SRCS
 	weatherenginetest.cpp
 	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
 	../applet/utils.cpp
 	../applet/yawpday.cpp
-	../logger/streamlogger.cpp
+	../applet/yawpdefines.cpp
 	)
 
-kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS})
+kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS} ${YAWP_RCCS_SRCS})
 target_link_libraries(weatherenginetest		${unittests_include_libs})
 
 
 #### ION Test ####
 set( iontest_SRCS
 	iontest.cpp
+	../applet/countrymap.cpp
+	../applet/ionlistmodel.cpp
+	../applet/utils.cpp
+	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
-	../logger/streamlogger.cpp
 	)
 
-kde4_add_executable(iontest		${iontest_SRCS})
-target_link_libraries(iontest		${unittests_include_libs})
+kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})
+target_link_libraries(iontest	${unittests_include_libs})
 
 
 #### PLASMOID Test ####
 set( plasmoidtest_SRCS
 	plasmoidtest_main.cpp
 	plasmoidtest_fullview.cpp
-	../logger/streamlogger.cpp
 	../applet/configdialog/yawpconfig.cpp
 	../applet/configdialog/dlgaddcity.cpp
+	../applet/configdialog/dlgtimezone.cpp
 
 	../applet/countrymap.cpp
 	../applet/ionlistmodel.cpp
@@ -114,6 +130,7 @@
 	../applet/weatherservice.cpp
 	../applet/yawp.cpp
 	../applet/yawpday.cpp
+	../applet/yawpdefines.cpp
 	)
 
 kde4_add_ui_files(plasmoidtest_SRCS
@@ -122,6 +139,7 @@
 	../applet/ui/yawppanelpage.ui
 	../applet/ui/yawpthemepage.ui
 	../applet/ui/dlgaddcity.ui
+	../applet/ui/dlgtimezone.ui
 	)
 
 kde4_add_executable(plasmoidtest		${plasmoidtest_SRCS} ${YAWP_RCCS_SRCS})

=== debian/changelog ===
plasma-widget-yawp (0.3.6-2) unstable; urgency=low

  The "Captured Sunlight" release.

  * Upload to unstable (basically to make ready for a KDE SC >= 4.5.2).

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Feb 2011 09:56:30 +0100

plasma-widget-yawp (0.3.6-1) experimental; urgency=low

  The "Refreshing Rain" release.

  * New upstream release:
    - Fixes FTBFS with KDE SC 4.5.2/4.6 (due to unnecessary include of a now
      deprecated header). No issue for Squeeze.
  * debian/source/local-options: Added "unapply-patches".
  * debian/watch:
    - Added git-import-orig invocation.
    - Escaped the dot inside the regular expression (we want a literal dot).
  * debian/gbp.conf: Added, to ensure the git-import-orig invocation from
    debian/watch uses pristine-tar.
  * debian/control:
    - Added plasma-widget-yawp-dbg to Suggests of the two binary packages.
    - Removed DMUA in anticipation of me becoming a DD.
    - Changed my e-mail address.
  * debian/rules: Added .PHONY line.
  * debian/copyright:
    - Fixed typo in name.
    - Added more detailed information on logger/streamlogger.{h,cpp}.
  * debian/patches/remove_CPack_invocations.patch: Refreshed.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 25 Jan 2011 17:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-widget-yawp
 Section: kde
 Priority: optional
-Maintainer: Kai Wasserbäch <debian@carbon-project.org>
-DM-Upload-Allowed: yes
+Maintainer: Kai Wasserbäch <curan@debian.org>
 Build-Depends: debhelper (>= 7.3.16~), cmake, gettext, kdelibs5-dev (>= 4:4.2.0),
  pkg-kde-tools (>= 0.9), kdebase-workspace-dev
 Standards-Version: 3.9.1
@@ -14,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  plasma-dataengines-yawp (= ${binary:Version})
-Suggests: plasma-dataengines-workspace
+Suggests: plasma-dataengines-workspace, plasma-widget-yawp-dbg
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several
@@ -32,7 +31,7 @@
 Replaces: plasma-widget-yawp (<= 0.3.2-1)
 Breaks: plasma-widget-yawp (<= 0.3.2-1)
 Enhances: plasma-widgets-addons
-Suggests: plasma-widget-yawp
+Suggests: plasma-widget-yawp, plasma-widget-yawp-dbg
 Description: yaWP's data engines (Ions) for different weather services
  yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
  works with different weather sources, you can configure it to show several

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 
 %:
 	dh --parallel --dbg-package=plasma-widget-yawp-dbg --with kde $@
+
+.PHONY: override_dh_auto_configure override_dh_installchangelogs override_dh_install
